Skip to main content
POST
Add underwriting guidelines to a product

Authorizations

Authorization
string
header
required

Effective API key. Send Authorization: Bearer sk-eai-...

Body

application/json
scope
string
required

Authorization scope UUID or stable slug prefixed with mc:.

Pattern: ^mc:[A-Za-z0-9][A-Za-z0-9-]{0,127}$
productId
string<uuid>
required

The managed product that will own the guidelines.

name
string
required

Name shown when choosing guidelines.

Required string length: 1 - 200
source
string
required

The guidelines as .uw.md Markdown, at most 1 MB.

Required string length: 1 - 1048576

Response

The new guidelines.

id
string
required

Stable guidelines ID.

productId
string
required

The managed product that owns these guidelines.

name
string
required
fileId
string
required

The stored .uw.md file. Read a version with downloadFile and versionId.

versionId
string
required

The latest version, which a newly opened file is pinned to.

version
integer
required

Latest version number, starting at 1.

updatedAt
string<date-time>
required

When the latest version was saved.